VirtualBox

Ticket #12348 (closed defect: fixed)

Opened 17 months ago

Last modified 14 months ago

VBoxClient does not exit after Solaris 11 Gnome logout -> fixed in 4.3 and later releases after 28 Feb 2014

Reported by: Jim Laurent Owned by:
Priority: major Component: guest additions
Version: VirtualBox 4.3.0 Keywords: vboxclient
Cc: Guest type: Solaris
Host type: Mac OS X

Description (last modified by frank) (diff)

Running VBox 4.3 on MacOS X host with Solaris 11.1 guest. Guest additions installed.

VBoxClient continues running even after Gnome logout. Vbox processes should exit correctly.

Login to gnome as user jlaurent.
Logout as jlaurent
Login as user test3

bash-4.1$ ps -elf |grep 2209
 0 S jlaurent  2209     1   0  40 20        ?   3373        ? 12:22:20 ?           0:07 /usr/bin/VBoxClient --draganddrop


pkginfo SUNWvboxguest
application SUNWvboxguest Oracle VM VirtualBox Guest Additions
bash-4.1$ pkginfo -l SUNWvboxguest
   PKGINST:  SUNWvboxguest
      NAME:  Oracle VM VirtualBox Guest Additions
  CATEGORY:  application
      ARCH:  i386
   VERSION:  4.3.0,REV=r89960.2013.10.15.13.49
   BASEDIR:  /
    VENDOR:  Oracle Corporation
      DESC:  Oracle VM VirtualBox Guest Additions for Solaris guests
    PSTAMP:  vboxguest20131015134949_r89960
  INSTDATE:  Oct 15 2013 12:58
   HOTLINE:  Please contact your local service provider
     EMAIL:  info@virtualbox.org
    STATUS:  completely installed
     FILES:       77 installed pathnames
                   4 linked files
                   5 directories
                  20 executables
               42967 blocks used (approx)

Change History

comment:1 Changed 17 months ago by frank

  • Description modified (diff)

comment:2 Changed 14 months ago by michael

  • Summary changed from VBoxClient does not exit after Solaris 11 Gnome logout to VBoxClient does not exit after Solaris 11 Gnome logout -> fixed in 4.3 and later releases after 28 Feb 2014

This should now be fixed. It was a deadlock in the clean-up code.

comment:3 Changed 14 months ago by michael

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use